﻿using System;

namespace iiie.CacheControl.DBO
{
    /// <summary>
    /// Basic fields for data to be cached
    /// </summary>
    [Serializable]
    public class CacheDbo
    {
        /// <summary>
        /// The content type of the data
        /// </summary>
        public string ContentType { get; set; }

        /// <summary>
        /// The data itself
        /// </summary>
        public byte[] Content { get; set; }

        /// <summary>
        /// The e tag to identify cache
        /// </summary>
        public string ETag { get; set; }

        /// <summary>
        /// The date to data was first cached
        /// </summary>
        public DateTime Date { get; set; }
    }
}
