﻿using System.Configuration;
using iiie.CacheControl.Business.Attributes;
using iiie.CacheControl.Business.OutputCache;

namespace CacheControl_test.Controllers
{
    public class MyCacheOutputAttribute : TimeCacheControlAttribute
    {
        public MyCacheOutputAttribute(int seconds, bool excludeGet = false, bool excludePost = false) : base(seconds, excludeGet, excludePost)
        {
            CacheType = OutputCacheType.DataBase;
            OutputCacheData = ConfigurationManager.ConnectionStrings["ConnectionString42"].ConnectionString;
        }
    }
}