﻿
namespace iiie.Logs.DBO
{
    /// <summary>
    /// Result of an operation
    /// </summary>
    public enum ResultStatus
    {
        /// <summary>
        /// Operation is successfull
        /// </summary>
        Success,

        /// <summary>
        /// User input error
        /// </summary>
        InputError,

        /// <summary>
        /// Database error
        /// </summary>
        DBError,

        /// <summary>
        /// User is not allowed to do this
        /// </summary>
        PermissionError,

        /// <summary>
        /// Bad login/password
        /// </summary>
        LoginError,

        /// <summary>
        /// Ressource not found
        /// </summary>
        NotFound,

        /// <summary>
        /// Not handled error
        /// </summary>
        InternalError
    }
}
